
.code-label input[data-v-0d980ab2]:-moz-placeholder-shown{
    text-indent: 0;
}
.code-label input[data-v-0d980ab2]:placeholder-shown{
    text-indent: 0;
}
.code-label input[data-v-0d980ab2]::-moz-placeholder{
    text-align:center;
    letter-spacing: .5em;
    text-indent: .5em;
}
.code-label input[data-v-0d980ab2], .code-label input[data-v-0d980ab2]::placeholder{
    text-align:center;
    letter-spacing: .5em;
    text-indent: .5em;
}


.horizontal-spinner[data-v-7feaa7fa] {
    --logo-spin-time: 1.4s;
}
.horizontal-spinner[data-v-7feaa7fa]{
    position:relative;
    width:100%;
    height:100%;
}
.spinner-img[data-v-7feaa7fa] {
    fill: var(--fill-color);
    -webkit-animation-name: spinner-animation;
            animation-name: spinner-animation;
    -webkit-animation-duration: var(--logo-spin-time);
            animation-duration: var(--logo-spin-time);
    -webkit-animation-iteration-count: infinite;
            animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
    width: 100%;
    height: 100%;
    display: block;
}
.spinner-img *[data-v-7feaa7fa] {
    -webkit-animation-duration: var(--logo-spin-time);
            animation-duration: var(--logo-spin-time);
    -webkit-animation-iteration-count: infinite;
            animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
}
#block1[data-v-7feaa7fa] {
    -webkit-animation-name: spinner-blink-block1-7feaa7fa;
            animation-name: spinner-blink-block1-7feaa7fa;
}
#block2[data-v-7feaa7fa] {
    -webkit-animation-name: spinner-blink-block2-7feaa7fa;
            animation-name: spinner-blink-block2-7feaa7fa;
}
#block3[data-v-7feaa7fa] {
    -webkit-animation-name: spinner-blink-block3-7feaa7fa;
            animation-name: spinner-blink-block3-7feaa7fa;
}
@-webkit-keyframes spinner-blink-block1-7feaa7fa {
0% {
        opacity: 100%;
}
25% {
        opacity: 0;
}
50% {
        opacity: 100%;
}
}
@keyframes spinner-blink-block1-7feaa7fa {
0% {
        opacity: 100%;
}
25% {
        opacity: 0;
}
50% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-block2-7feaa7fa {
0%, 25% {
        opacity: 100%;
}
50% {
        opacity: 0;
}
75% {
        opacity: 100%;
}
}
@keyframes spinner-blink-block2-7feaa7fa {
0%, 25% {
        opacity: 100%;
}
50% {
        opacity: 0;
}
75% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-block3-7feaa7fa {
0%, 50% {
        opacity: 100%;
}
75% {
        opacity: 0;
}
100% {
        opacity: 100%;
}
}
@keyframes spinner-blink-block3-7feaa7fa {
0%, 50% {
        opacity: 100%;
}
75% {
        opacity: 0;
}
100% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-front-body-7feaa7fa {
0%, 38% {
        opacity: 100%;
}
47.5% {
        opacity: 0;
}
57% {
        opacity: 100%;
}
}
@keyframes spinner-blink-front-body-7feaa7fa {
0%, 38% {
        opacity: 100%;
}
47.5% {
        opacity: 0;
}
57% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-front-head-7feaa7fa {
0%, 57% {
        opacity: 100%;
}
66.5% {
        opacity: 0;
}
75% {
        opacity: 100%;
}
}
@keyframes spinner-blink-front-head-7feaa7fa {
0%, 57% {
        opacity: 100%;
}
66.5% {
        opacity: 0;
}
75% {
        opacity: 100%;
}
}


.deptTree-element[data-v-3f6bd76e] {
    --fill-color: #cccccc;
}
.horizontal-spinner[data-v-3f6bd76e] {
    height: 5px;
    padding: 7px 0;
    box-sizing: content-box;
}
.li[data-v-3f6bd76e] {
    display: block;
}
.title-span[data-v-3f6bd76e] {
    white-space: nowrap;
    cursor: pointer;
}
.title-span > *[data-v-3f6bd76e] {
    display: inline-block;
}
label[data-v-3f6bd76e] {
    display: inline-block;
    cursor: pointer;
    padding: 7px 7px;
}
label.tree-marker[data-v-3f6bd76e] {
    width: 17px;
    box-sizing: content-box;
    transition-duration: .3s;
}
input[type=radio]:checked ~ .dept-title[data-v-3f6bd76e], .title-span:hover > .dept-title[data-v-3f6bd76e] {
    background: #FFEDC9;
    border-radius: 4px;
    color: #8f5701;
}
.dept-title[data-v-3f6bd76e] {
    position: relative;
}
.dept-title > .icon-button.edit[data-v-3f6bd76e] {
    visibility: hidden;
    position: absolute;
    top: 50%;
    transform: translate(1em, -50%);
    padding: 0.3em;
    background: transparent;
}
.dept-title > .icon-button.edit > img[data-v-3f6bd76e] {
    max-width: 1.5em;
    max-height: 1.5em;
    display: block;
}
.title-span:hover > .dept-title > .icon-button.edit[data-v-3f6bd76e] {
    visibility: visible;
}
input[type=checkbox]:checked ~ label.tree-marker[data-v-3f6bd76e] {
    transform: rotate(90deg);
}


textarea[data-v-1663a8bb] {
    padding: 9px;
    border: #ced4da 1px solid;
    border-radius: 0.2rem;
    width: 100%;
    font-family: inherit;
    font-size: inherit;
    color: inherit;
}
button.icon-button.confirm-edit[data-v-1663a8bb] {
    right: 35px;
}
.good-property_value.editing[data-v-1663a8bb] {
    padding-right: 76px;
}
span.error[data-v-1663a8bb] {
    flex: 1 0 100%;
    font-size: 0.7em;
    text-align: left;
}
.editable-row[data-v-1663a8bb]{
    max-width: 100%;
}


.drop-root[data-v-4c729a48] {
    position: relative;
    padding: 1.3em;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: stretch;
    --ggs: 1;
}
.drop-root > *[data-v-4c729a48]:not(.drop-zone){
    z-index: 1;
}
.drop-zone[data-v-4c729a48] {
    border: 1px #cccccc dashed;
    position: absolute;
    top:calc(12px / 2);
    left:calc(12px / 2);
    width:calc(100% - 12px);
    height:calc(100% - 12px);
    z-index:0;
    transition: all 0.1s;
}
.drop-root.highlight .drop-zone[data-v-4c729a48]{
    top:0;
    left:0;
    width:calc(100%);
    height:calc(100%);
    border-style: dashed;
    border-width: 6px;
    background-color:#fa850026;
}
span.hint[data-v-4c729a48] {
    text-align:center;
}
span.main-hint[data-v-4c729a48] {
    display: block;
}
span.secondary-hint[data-v-4c729a48] {
    display: block;
    font-size: 0.7em;
}
span.secondary-hint[data-v-4c729a48]:before {
    content: '(';
}
span.secondary-hint[data-v-4c729a48]:after {
    content: ')';
}
[data-v-4c729a48] .icon-button{
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-style: none;
    border-radius: 4px;
    font-weight: 300;
    padding: 0.3em;
    background: transparent;
}
[data-v-4c729a48] .icon-button:not(:disabled) {
    cursor:pointer;
}
[data-v-4c729a48] .icon-button.remove-button {
    font-size: 0.7em;
    color: #dd6586;
}
[data-v-4c729a48] .icon-button.remove-button span {
    margin-right: 0.3em;
}
[data-v-4c729a48] .visually-hidden {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position:absolute;
    width:1px;
    height:1px;
    overflow:hidden;
    clip: rect(0 0 0 0);
}
[data-v-4c729a48] ul.fileList ul.fileList li:before {
    content: '— ';
}
[data-v-4c729a48] ul.fileList ul.fileList li {
    margin-left: 1em;
    border-left: 1px #000000 solid;
}
[data-v-4c729a48] ul.fileList li {
}
label.drop-root.error .drop-zone[data-v-4c729a48] {
    border-color: #cb0000;
}
label.drop-root.error span.hint.error-hint[data-v-4c729a48] {
    color: #cb0000;
}

/*label.drop-root.error span.hint.error-hint:before {*/
/*    content: '\27A4 ';*/
/*    margin-right: 0.3em;*/
/*}*/
.drop-root .horizontal-spinner[data-v-4c729a48]{
    width: 125px;
    --fill-color:#F8E9D7;
    align-self: center;
}
.gg-danger[data-v-4c729a48] {
    box-sizing: border-box;
    position: relative;
    display: inline-block;
    vertical-align: bottom;
    transform: scale(var(--ggs,1));
    width: 20px;
    height: 20px;
    border: 2px solid;
    border-radius: 40px
}
.gg-danger[data-v-4c729a48]::after,
.gg-danger[data-v-4c729a48]::before {
    content: "";
    display: block;
    box-sizing: border-box;
    position: absolute;
    border-radius: 3px;
    width: 2px;
    background: currentColor;
    left: 7px
}
.gg-danger[data-v-4c729a48]::after {
    top: 2px;
    height: 8px
}
.gg-danger[data-v-4c729a48]::before {
    height: 2px;
    bottom: 2px
}



label.phone-label[data-v-d5fd61da] {
    position: relative;
}
label.phone-label[data-v-d5fd61da]::before {
    content: '+7';
    position: absolute;
    top: 50%;
    transform: translate(0,-50%);
    left: 9px;
    color: #939393;
}
label.phone-label input[data-v-d5fd61da]{
    padding-left: 1.7em;
}
label.phone-label.opaque[data-v-d5fd61da]::before{
    color: inherit;
}


.search[data-v-5026ffd3] {
    position: relative;
    width: 100%;
    flex: 1;
}
.gg-search[data-v-5026ffd3] {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs, 1));
    width: 16px;
    height: 16px;
    border: 2px solid;
    border-radius: 100%;
    margin-left: -4px;
    margin-top: -4px;
    border-color: #296d3b;
}
.gg-search[data-v-5026ffd3]::after {
    content: "";
    display: block;
    box-sizing: border-box;
    position: absolute;
    border-radius: 3px;
    width: 2px;
    height: 8px;
    background: #296d3b;
    transform: rotate(-45deg);
    top: 10px;
    left: 12px;
}
button[data-v-5026ffd3] {
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 9px 20px;
    border-style: none;
    border-radius: 4px;
    font-weight: 300;
}
button.icon-button[data-v-5026ffd3] {
    padding: 14px;
    background: transparent;
    position: absolute;
    right: 0;
}
.search-input[data-v-5026ffd3] {
    padding-right: 40px;
    width: 100%;
}
.hint[data-v-5026ffd3] {
    position: absolute;
    top: calc(100% + 1px);
    left: 0;
    width: 100%;
    max-height: 80vh;
    background: #fff;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: stretch;
    justify-content: flex-start;
    box-shadow: 0 1px 5px #00000024;
    overflow: auto;
    z-index: 4;
}
.hint > *[data-v-5026ffd3] {
    flex: 0 0;
}


.spinner[data-v-7ae326fe] {
    --logo-gray: #C5C6C6;
    --logo-white: #FFFFFF;
    --logo-spin-time: 2.5s;
}
.spinner[data-v-7ae326fe] {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 100%;
    height: 100%;
}
.spinner-img[data-v-7ae326fe] {
    -webkit-animation-name: spinner-rotation-7ae326fe;
            animation-name: spinner-rotation-7ae326fe;
    -webkit-animation-duration: var(--logo-spin-time);
            animation-duration: var(--logo-spin-time);
    -webkit-animation-iteration-count: infinite;
            animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
    width: 10vmin;
    height: 10vmin;
}
.logo-gray[data-v-7ae326fe] {
    fill: var(--logo-gray);
}
.logo-white[data-v-7ae326fe] {
    fill: var(--logo-white);
    stroke: var(--logo-gray)
}
.spinner-img *[data-v-7ae326fe] {
    -webkit-animation-duration: var(--logo-spin-time);
            animation-duration: var(--logo-spin-time);
    -webkit-animation-iteration-count: infinite;
            animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
}
#back-head[data-v-7ae326fe] {
    -webkit-animation-name: spinner-blink-back-head-7ae326fe;
            animation-name: spinner-blink-back-head-7ae326fe;
}
#back-body[data-v-7ae326fe] {
    -webkit-animation-name: spinner-blink-back-body-7ae326fe;
            animation-name: spinner-blink-back-body-7ae326fe;
}
#left-hand[data-v-7ae326fe], #left-leg[data-v-7ae326fe] {
    -webkit-animation-name: spinner-blink-front-left-7ae326fe;
            animation-name: spinner-blink-front-left-7ae326fe;
}
#front-body[data-v-7ae326fe] {
    -webkit-animation-name: spinner-blink-front-body-7ae326fe;
            animation-name: spinner-blink-front-body-7ae326fe;
}
#front-head[data-v-7ae326fe] {
    -webkit-animation-name: spinner-blink-front-head-7ae326fe;
            animation-name: spinner-blink-front-head-7ae326fe;
}
@-webkit-keyframes spinner-rotation-7ae326fe {
0%, 76% {
        transform: rotate(0deg);
}
88% {
        transform: rotate(-180deg);
}
100% {
        transform: rotate(-360deg);
}
}
@keyframes spinner-rotation-7ae326fe {
0%, 76% {
        transform: rotate(0deg);
}
88% {
        transform: rotate(-180deg);
}
100% {
        transform: rotate(-360deg);
}
}
@-webkit-keyframes spinner-blink-back-head-7ae326fe {
0% {
        opacity: 100%;
}
9.5% {
        opacity: 0;
}
19% {
        opacity: 100%;
}
}
@keyframes spinner-blink-back-head-7ae326fe {
0% {
        opacity: 100%;
}
9.5% {
        opacity: 0;
}
19% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-back-body-7ae326fe {
0%, 19% {
        opacity: 100%;
}
28.5% {
        opacity: 0;
}
38% {
        opacity: 100%;
}
}
@keyframes spinner-blink-back-body-7ae326fe {
0%, 19% {
        opacity: 100%;
}
28.5% {
        opacity: 0;
}
38% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-front-left-7ae326fe {
0%, 38% {
        opacity: 100%;
}
47.5% {
        opacity: 0;
}
57% {
        opacity: 100%;
}
}
@keyframes spinner-blink-front-left-7ae326fe {
0%, 38% {
        opacity: 100%;
}
47.5% {
        opacity: 0;
}
57% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-front-body-7ae326fe {
0%, 38% {
        opacity: 100%;
}
47.5% {
        opacity: 0;
}
57% {
        opacity: 100%;
}
}
@keyframes spinner-blink-front-body-7ae326fe {
0%, 38% {
        opacity: 100%;
}
47.5% {
        opacity: 0;
}
57% {
        opacity: 100%;
}
}
@-webkit-keyframes spinner-blink-front-head-7ae326fe {
0%, 57% {
        opacity: 100%;
}
66.5% {
        opacity: 0;
}
75% {
        opacity: 100%;
}
}
@keyframes spinner-blink-front-head-7ae326fe {
0%, 57% {
        opacity: 100%;
}
66.5% {
        opacity: 0;
}
75% {
        opacity: 100%;
}
}


.user-list[data-v-3c9e9bf4] {
    display: grid;
    grid-auto-flow: row dense; /* column flow with "dense" to fill all the cells */
    grid-template-columns:repeat(2, minmax(5rem, 1fr) ); /* 2 columns */
    position: relative;
    -moz-column-gap: 20px;
         column-gap: 20px;
    row-gap: 20px;
}
.employee[data-v-3c9e9bf4] {
    display: flex;
    padding: 0.8em;
    background: #fcf8f2;
    border: 1px #f4e4cd solid;
    align-items: flex-start;
}
.employee a[data-v-3c9e9bf4] {
    color: #212529;
    display: flex;
    text-decoration: none;
}
.employee-info[data-v-3c9e9bf4] {
    margin-left: 0.8em;
}
.name[data-v-3c9e9bf4] {
    margin-bottom: 0.8em;
    display: block;
}
.roles[data-v-3c9e9bf4] {
    display: flex;
    flex-wrap: wrap;
    gap: 0.3em 0.5em;
    align-items: flex-start;
    margin-bottom: 0.8em;
}
.roles li[data-v-3c9e9bf4] {
    background: #fcf2e2;
    color: #7c5116;
    padding: 3px 0.5em;
    border-radius: 1em;
    font-size: 0.8em;
    box-shadow: 1px 1px 0px 0px #00000024;
    cursor: default;
}
img.avatar[data-v-3c9e9bf4] {
    max-width: 110px;
}
.no-employees[data-v-3c9e9bf4] {
    text-align: center;
    margin-top: 4em;
    color: #aeb4bb;
}
@media screen and (max-width: 905px) {
.user-list[data-v-3c9e9bf4] {
        grid-template-columns: repeat(1, minmax(5rem, 1fr) );
}
}
@media screen and (max-width: 320px) {
.employee[data-v-3c9e9bf4] {
        flex-direction: column;
        align-items: center;
}
.employee-info[data-v-3c9e9bf4] {
        text-align: center;
        margin-left: 0;
}
.roles[data-v-3c9e9bf4] {
        justify-content: center;
}
img.avatar[data-v-3c9e9bf4] {
        margin-bottom: 0.8em;
}
}


.permission-list[data-v-68e74c61]:not([data-level="0"]) {
    margin: 1em 0;
    padding-left: calc(26px + 5px);
}


.switcher[data-v-79062fac]{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 0.3em;
}
.switcher label[data-v-79062fac]{
    cursor: pointer;
    display: flex;
}
.sw-checkbox[data-v-79062fac]{
    position: relative;
}
.sw-checkbox[data-v-79062fac]:before,.sw-checkbox[data-v-79062fac]:after{
    display: block;
    z-index: 1;
    width: 26px;
    height: 26px;
    border-radius: 100%;
    transition: 0.3s;
}
.sw-checkbox[data-v-79062fac]:before {
    z-index:2;
    color:transparent;
    background: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: rotate(-60deg);
    transition-delay: 0.1s;
    font-size:0.7em;
}
.sw-checkbox[data-v-79062fac]:after {
    content:'';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px #b3b3b3 solid;
}
.input:checked ~ .sw-checkbox[data-v-79062fac]:before{
    color:#ffffff;
    transform: rotate(0deg);
    font-size:1em;
}
.input:checked ~ .sw-checkbox[data-v-79062fac]:after{
    background: #0f6000;
    border-color:transparent;
}
.input:checked:disabled ~ .sw-checkbox[data-v-79062fac]:after{
    background: #7fbb76;
}
.input:disabled ~ .sw-checkbox[data-v-79062fac]:after{
    background: #d7d7d7;
}
.input:disabled ~ .sw-checkbox ~ .slot[data-v-79062fac]{
    color: #a3a3a3;
}
.input:disabled ~ label.sw-checkbox[data-v-79062fac],.input:disabled ~ label.sw-checkbox ~ label.slot[data-v-79062fac]{
    cursor: not-allowed;
}

